include:
  - local: 'src/microsoft/ci/gitlab-ci-inc.yml'

test-spirv2dxil-windows:
  extends:
    - .use-windows_test_msvc
    - .spirv2dxil-test-rules
  stage: layered-backends
  dependencies:
    - windows-msvc
  needs:
    - windows-msvc
    - windows_test_msvc
    - !reference [.required-for-hardware-jobs, needs]
  variables:
    GIT_STRATEGY: none # testing doesn't build anything from source
  script:
    - . _install/spirv2dxil_run.ps1
  artifacts:
    when: on_failure
    name: "mesa_${CI_JOB_NAME}"
    paths:
      - spirv2dxil_results.txt

test-dozen-deqp:
  extends:
    - .use-windows_test_msvc
    - .dozen-test-rules
  stage: layered-backends
  dependencies:
    - windows-msvc
  needs:
    - windows-msvc
    - windows_test_msvc
    - !reference [.required-for-hardware-jobs, needs]
  variables:
    GIT_STRATEGY: none # testing doesn't build anything from source
    DZN_AGILITY_RELATIVE_PATH: "D3D12\\"
    DZN_AGILITY_SDK_VERSION: 614
    DEQP_FRACTION: 8
  script:
    - . _install/deqp_runner_run.ps1
  artifacts:
    when: on_failure
    name: "mesa_${CI_JOB_NAME}"
    paths:
      - results/
    reports:
      junit: results/junit.xml
